Skip to main content
GET
Get time-series tablet metrics

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

branch
string
required

Branch name from list_branches. Example: main.

Query Parameters

metrics
enum<string>[]

Metric names to retrieve

Available options:
replication_lag,
vreplication_lag,
pod_cpu_usage,
pod_memory_usage,
pod_queries,
pod_rows_read,
pod_iops,
primary_cpu_usage,
primary_memory_usage,
primary_iops,
primary_queries,
primary_rows_read,
primary_rows_written,
shard_storage_usage,
shard_storage_available
period
enum<string>

Named time period to retrieve. Defaults to 12h.

Available options:
15m,
1h,
3h,
6h,
12h,
1d,
2d,
7d,
8d
from
string

Start of a custom time range as an ISO 8601 timestamp

to
string

End of a custom time range as an ISO 8601 timestamp

steps
integer

Number of data points to return

keyspace
string

Filter by keyspace

shard
string

Filter by shard

pod
string

Filter by pod

workflow
string

Filter by workflow ID

Response

Returns time-series tablet metrics

type
string

The metrics response type

start_date
string

The start of the time range

end_date
string

The end of the time range

interval
integer

The step interval in seconds between data points

series
string[]

The time-series metric data